com.r3corda.client.model / ContractStateModel

# ContractStateModel

`class ContractStateModel`

This model exposes the list of owned contract states.

### Constructors

<init> | `ContractStateModel()` This model exposes the list of owned contract states.

### Properties

cashStates | `val cashStates: ObservableList<StateAndRef<State>>`
cashStatesDiff | `val cashStatesDiff: <ERROR CLASS><Diff<State>>`
contractStatesDiff | `val contractStatesDiff: <ERROR CLASS><Diff<ContractState>>`